package koeln.uni.idh.java1.zoo.animals;

public class Animal {
	public int x;
	public int y;

	// direction represented on a 360° wheel
	// 0 => top
	// 90 => right
	// 180 => bottom
	// 270 => left
	int direction = 0;

	public Animal() {
		x = (int) (Math.random() * 10);
		y = (int) (Math.random() * 10);
	}

	public void walk() {
		switch (direction) {
		case 0:
			this.y = this.y - 1;
			break;
		case 270:
			this.x = this.x - 1;
			break;
		case 180:
			this.y = this.y + 1;
			break;
		case 90:
			this.x = this.x + 1;
		}
	}

	/**
	 * This method calculates the new direction by taking the sign of the argument
	 * with Math.signum(), multiplying that with 90 and add it to the old direction
	 * value. To avoid that we produce direction values > 360, we take the modulo of
	 * 360.
	 * 
	 * 
	 * @param turnDirection If the argument is a negative number, the animal turns
	 *                      to the left. If it's positive number, it turns to the
	 *                      right.
	 */
	public void turn(int turnDirection) {
		this.direction = (int) (this.direction + (Math.signum(turnDirection) * 90) % 360);
	}

}
