package koeln.uni.idh.java1.zoo.ui;

import koeln.uni.idh.java1.zoo.animals.Animal;
import koeln.uni.idh.java1.zoo.animals.Hippo;
import koeln.uni.idh.java1.zoo.animals.Horse;

public class Zoo {
	Animal[] animals;
	
	int size = 10;

	protected void populate() {
		animals = new Animal[3];
		for (int i = 0; i < animals.length; i++) {
			double d = Math.random();
			if (d < 0.5) {
				animals[i] = new Horse();
			} else {
				animals[i] = new Hippo();
			}
		}
	}
		
	public void draw() {
		AsciiImage ai = new AsciiImage(size, size);
		for (int h = 0; h < animals.length; h++) {
			ai.dot(animals[h].x, animals[h].y);
		}
		System.out.println(ai);
	}
		
	public static void main(String[] args) {
		Zoo zoo = new Zoo();
		zoo.populate();
		zoo.draw();
		
		Animal h = zoo.animals[0];
		
		h.walk();
		zoo.draw();
		h.walk();
		zoo.draw();
	}
}
